<template>
    <main>
        <div class="h1-container">
            <h1 class="h1-with-line">Name</h1>
            <div class="h1-line"></div>
            <div class="clear"></div>
        </div>
        <div class="tests-sub-container">
            <router-link :to="{name: 'Test', params:{id: test.id}}" v-for="test in subCategoryTests" v-bind:key="test.id">
                <div class="pass-tests" >
                    {{test.name}}
                </div>
            </router-link>

        </div>


    </main>
</template>

<script>
    export default {
        name: 'TestSubCategory',
        props: ['id'],
        beforeMount() {
            this.$store.dispatch('loadSubCategoryTests', this.id)
        },
        computed:{
            subCategoryTests(){
                console.log('asdasd', this.$store.getters.subCategoryTests)
                return this.$store.getters.subCategoryTests
            },
        }
    }
</script>
